﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class RadGrid_Layout_RsponsiveGrid : System.Web.UI.Page
{

    protected void Page_Init(object sender, System.EventArgs e)
    {

        GridHyperLinkColumn hypercolumn = null;
        GridBoundColumn boundcolumn = null;
        GridTemplateColumn tempcolumn = null;

        RadGrid RadGrid1 = new RadGrid();
        RadGrid1.AutoGenerateColumns = false;
        RadGrid1.EnableViewState = false;
        RadGrid1.NeedDataSource += new Telerik.Web.UI.GridNeedDataSourceEventHandler(RadGrid1_NeedDataSource);
        RadGrid1.MasterTableView.CommandItemDisplay = GridCommandItemDisplay.None;
        RadGrid1.MasterTableView.DataKeyNames = new string[] { "MAB" };

        string templateColumnName = "Edit";
        GridTemplateColumn templateColumn = new GridTemplateColumn();
        templateColumn.ItemTemplate = new MyTemplate(templateColumnName);
        templateColumn.AllowFiltering = false;
        templateColumn.HeaderText = "Edit";
        RadGrid1.MasterTableView.Columns.Add(templateColumn);

        GridBoundColumn boundColumn1 = new GridBoundColumn();
        boundColumn1.DataField = "MABName";
        boundColumn1.UniqueName = "MABName1";
        boundColumn1.HeaderText = "Master Agent Billing Set1";
        boundColumn1.FilterControlWidth = Unit.Pixel(50);
        RadGrid1.MasterTableView.Columns.Add(boundColumn1);

        boundColumn1 = new GridBoundColumn();
        boundColumn1.DataField = "MABName";
        boundColumn1.UniqueName = "MABName2";
        boundColumn1.HeaderText = "Master Agent Billing Set2";
        boundColumn1.AllowFiltering = false;
        boundColumn1.HeaderStyle.CssClass = "mediumgridcol";
        boundColumn1.ItemStyle.CssClass = "mediumgridcol";
        boundColumn1.FooterStyle.CssClass = "mediumgridcol";
        RadGrid1.MasterTableView.Columns.Add(boundColumn1);

        boundColumn1 = new GridBoundColumn();
        boundColumn1.DataField = "MABName";
        boundColumn1.UniqueName = "MABName3";
        boundColumn1.HeaderText = "Master Agent Billing Set3";
        boundColumn1.AllowFiltering = false;
        boundColumn1.HeaderStyle.CssClass = "mediumgridcol";
        boundColumn1.ItemStyle.CssClass = "mediumgridcol";
        boundColumn1.FooterStyle.CssClass = "mediumgridcol";
        RadGrid1.MasterTableView.Columns.Add(boundColumn1);

        templateColumnName = "Delete";
        templateColumn = new GridTemplateColumn();
        templateColumn.ItemTemplate = new MyTemplate2(templateColumnName);
        templateColumn.AllowFiltering = false;
        templateColumn.HeaderText = "Delete";
        RadGrid1.MasterTableView.Columns.Add(templateColumn);

        RadGrid1.AllowPaging = Convert.ToBoolean(Session["ShowListsWithPaging"]);
        PlaceHolder1.Controls.Add(RadGrid1);
    }


    void RadGrid1_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        DataTable table = new DataTable();

        table.Columns.Add("MABName");
        table.Columns.Add("MAB");
        for (int i = 0; i < 10; i++)
        {
            table.Rows.Add(i, "MABName" + i);
        }

        (sender as RadGrid).DataSource = table;
    }

    class MyTemplate : ITemplate
    {
        public MyTemplate(string templateColumnName)
        {

        }
        public void InstantiateIn(Control container)
        {
            Button label = new Button();
            label.ID = "Button1";
            label.Text = "Edit";
            container.Controls.Add(label);
        }
    }

    class MyTemplate2 : ITemplate
    {
        public MyTemplate2(string templateColumnName)
        {

        }
        public void InstantiateIn(Control container)
        {
            Button label = new Button();
            label.ID = "Button2";
            label.Text = "Delete";
            container.Controls.Add(label);
        }
    }

}